Level (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.sample

## Class Level

- java.lang.Object
- - com.marketfactory.sample.Level

-     public class Level
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` Amount of this entry.
    `java.lang.String` | `components` Amount of this entry.
    `MFFloat` | `price` Price of this entry.
    `byte` | `source` A bitmask that provides hints regarding what data was used to produce this entry (vanilla market entry, or enhanced).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Level(Level l)`
    `Level(MFFloat p, MFFloat a)`
    `Level(MFFloat p, MFFloat a, java.lang.String c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### price

          public MFFloat price

      Price of this entry. If this is a structured entry, the price may be invalid.

    - #### amount

          public MFFloat amount

      Amount of this entry. If this is a structured entry, the amount may be invalid.

    - #### source

          public byte source

      A bitmask that provides hints regarding what data was used to produce this entry (vanilla market entry, or enhanced). @see MDSource enum for possible bit values.

    - #### components

          public java.lang.String components

      Amount of this entry. If this is a structured entry, the amount may be invalid.

  - ### Constructor Detail

    - #### Level

          public Level(MFFloat p,
                       MFFloat a)

    - #### Level

          public Level(MFFloat p,
                       MFFloat a,
                       java.lang.String c)

    - #### Level

          public Level(Level l)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`